「libbpg」に未対策の脆弱性、任意のコードを実行される可能性も(JVN) | ScanNetSecurity[国内最大級のサイバーセキュリティ専門ポータルサイト]
2018.01.23(火)

「libbpg」に未対策の脆弱性、任意のコードを実行される可能性も(JVN)

脆弱性と脅威 セキュリティホール・脆弱性

独立行政法人 情報処理推進機構(IPA)および一般社団法人 JPCERT コーディネーションセンター(JPCERT/CC)は7月13日、BPG画像フォーマットを扱うライブラリである「libbpg」にメモリ境界外への書き込みを行う脆弱性が存在すると「Japan Vulnerability Notes(JVN)」で発表した。CVSS v3による最大Base Scoreは6.3。現時点で対策方法は公開されていない。

「libbpg 0.9.5 から 0.9.7 まで」には、適切なチェックを行っていないことが原因で、メモリ協会外への書き込みを行う脆弱性(CVE-2016-5637)が存在する。この脆弱性が悪用されると、細工されたBPGファイルを処理することでDoS攻撃を受けたり、任意のコードを実行される可能性がある。JVNでは、ImageMagick のユーザはImageMagickセキュリティポリシーを変更することで、本脆弱性の影響を軽減できるとしている。
《吉澤 亨史》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★
<b>★★Scan PREMIUM 会員限定コンテンツにフルアクセスが可能となります★★</b>

経営課題としてサイバーセキュリティに取り組む情報システム部門や、研究・開発・経営企画に携わる方へ向けた、創刊19年のセキュリティ情報サービス Scan PREMIUM を、貴社の事業リスク低減のためにご活用ください。

×